Bug 222282 - eog can't open svg image file.
eog can't open svg image file.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 08:26 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.20.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 13:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-01-11 08:26:27 EST
Description of problem:
$ eog /usr/share/icons/gnome/scalable/actions/stock_select-all.svg

== backtrace ==
(gdb) bt
#0  0x008f3402 in __kernel_vsyscall ()
#1  0x00bd8693 in *__GI___poll (fds=0xc5fff4, nfds=8, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x0098a503 in g_main_context_iterate (context=0x8ce51d8, block=1, 
    dispatch=1, self=0x8cbe540) at gmain.c:2979
#3  0x0098a879 in IA__g_main_loop_run (loop=0x8cf2598) at gmain.c:2881
#4  0x011152a4 in IA__gtk_main () at gtkmain.c:1148
#5  0x08064bf9 in main (argc=2, argv=0xbf9230b4) at main.c:623
#6  0x00b2ae5c in __libc_start_main (main=0x8064a60 <main>, argc=2, 
    ubp_av=0xbf9230b4, init=0x8083c70 <__libc_csu_init>, 
    fini=0x8083c60 <__libc_csu_fini>, rtld_fini=0xd7d490 <_dl_fini>, 
    stack_end=0xbf9230ac) at libc-start.c:222
#7  0x08053de1 in _start ()
Version-Release number of selected component (if applicable):
2.17.4-1.fc7

How reproducible:
always

Steps to Reproduce:
1. $eog foobar.svg
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 sangu 2007-02-24 20:32:11 EST
this problem still happens in eog-2.17.91-1.fc7.
Comment 2 Matthias Clasen 2007-04-01 11:43:38 EDT
I believe I fixed this in 2.18.0.1-2.fc7
Comment 3 sangu 2007-06-14 02:04:22 EDT
In eog-2.19.3-1.fc8
(gdb) bt
#0  0x0026d402 in __kernel_vsyscall ()
#1  0x0070092e in __lll_mutex_lock_wait () from /lib/libpthread.so.0
#2  0x006fc7a3 in _L_mutex_lock_79 () from /lib/libpthread.so.0
#3  0x006fc2cd in __pthread_mutex_lock (mutex=0x88b4868)
    at pthread_mutex_lock.c:81
#4  0x003e219c in gdk_threads_impl_lock () at gdk.c:388
#5  0x00412eb8 in gdk_event_check (source=0x889f078) at gdkevents-x11.c:2320
#6  0x00762e52 in IA__g_main_context_check (context=0x889f0c0, 
    max_priority=200, fds=0x89b0948, n_fds=9) at gmain.c:2569
#7  0x007631ee in g_main_context_iterate (context=0x889f0c0, block=1, 
    dispatch=1, self=0x88785b8) at gmain.c:2691
#8  0x007637b9 in IA__g_main_loop_run (loop=0x88bcee8) at gmain.c:2898
#9  0x010d5e44 in IA__gtk_main () at gtkmain.c:1142
#10 0x0805bb31 in main (argc=2, argv=Cannot access memory at address 0x4
) at main.c:208

Note You need to log in before you can comment on or make changes to this bug.